import request from '../uitls/request'

// table列表接口
export function apiGetAuditList (data) {
    return request({
      url: '/api/Audit/GetAuditVisitList',
      method: 'post',
      data: data
    })
}
// 稽核详情
export function apiGetAuditDetail (accountVisitId) {
  return request({
    url: `/api/Audit/GetAuditVisitRecord?accountVisitId=${accountVisitId}`,
    method: 'post'
  })
}
// 稽核详情保存
export function apiSaveAuditDetail (data) {
  return request({
    url: '/api/Audit/AddVisitAuditRecord',
    method: 'post',
    data: data
  })
}
// 判断账号是CBC还是非CBC
export function apiIsCBC () {
  return request({
    url: '/api/Audit/GetUserBusinessType',
    method: 'post'
  })
}
// CBC合规扣罚
export function apiSaveCBCDeduction (data) {
  return request({
    url: '/api/Audit/BackPunishSave',
    method: 'post',
    data: data
  })
}
// 非CBC合规扣罚
export function apiSaveNoCBCDeduction (data) {
  return request({
    url: '/api/Audit/NoBackPunishSave',
    method: 'post',
    data: data
  })
}

// 上传文件
export function apiUploadFile (data) {
  return request({
    url: '/api/Audit/UploadFile',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}
// 获取当前默认考核年月
export function apiGetDateRange () {
  return request({
    url: '/api/Audit/GetDateRange',
    method: 'post',
  })
}
// 屏蔽外访记录
export function apiShieldVisit (data) {
  return request({
    url: '/api/Audit/ShieldVisit',
    method: 'post',
    data: data
  })
}
// 取消屏蔽
export function apiCancelShieldVisit (data) {
  return request({
    url: '/api/Audit/CancelShieldVisit',
    method: 'post',
    data: data
  })
}
// 导出
export function apiAuditExport (data) {
  return request({
    url: '/api/Audit/ExportAuditVisitList',
    method: 'post',
    data: data
  })
}
