import request from '../uitls/request'

// 接口网关前缀
const prefixUrl = "/visitsystem/visitmanage"

// 基础选项
export function apiGetDictionaryData () {
  return request({
    url: prefixUrl + '/api/Audit/VisitAuditInitData',
    method: 'post'
  })
}

// 基础选项（CBC扣罚）
export function apiGetDictionaryData2 () {
  return request({
    url: prefixUrl + '/api/Audit/VisitCrpInitData',
    method: 'post'
  })
}

// 基础选项（非CBC扣罚）
export function apiGetDictionaryData3 () {
  return request({
    url: prefixUrl + '/api/Audit/CbeCrpInitData',
    method: 'post'
  })
}

// 基础选项（非CBC扣罚 获取奖惩项目）
export function apiGetRewardsPunishments (excRankType, bnsPnyType) {
  return request({
    url: prefixUrl + `/api/Audit/GetExamineRuleList?excRankType=${excRankType}&bnsPnyType=${bnsPnyType}&execModeType=Punish`,
    method: 'post'
  })
}

// 获取人员列表
export function apiGetOrganizeTree () {
  return request({
    url: prefixUrl + '/api/Home/GetOrganizeTree',
    method: 'post'
  })
}

// 查询奖惩规则
export function apiGetPunishRule (data) {
  return request({
    url: prefixUrl + '/api/Audit/CrpRuleQuery?punishmentNature=1',
    method: 'post',
    data
  })
}

// 获取内部考核类型
export function apiGetBusines () {
  return request({
    url: prefixUrl + '/api/Home/GetBusines',
    method: 'post'
  })
}
// 获取客户（根据内部考核类型获取）
export function apiGetCustomer (business) {
  return request({
    url: prefixUrl + `/api/Home/GetCustomer?business=${business}`,
    method: 'post'
  })
}

// 经营单位
export function apiGetUnitList () {
  return request({
    url: prefixUrl + '/dropDownBox/getAllUint',
    method: 'get'
  })
}

// 组别
export function apiGetGroupList (data) {
  return request({
    url: prefixUrl + '/dropDownBox/getGroupByUintId',
    method: 'post',
    data: data
  })
}

// 外访员
export function apiGetUserList (groupId) {
  return request({
    url: prefixUrl + `/dropDownBox/getUserByGroupId?groupId=${groupId}`,
    method: 'get'
  })
}

// 根据经营单位查询稽核员
export function apiGetAuditUserList (id) {
  console.log('apiGetAuditUserList: ', id)
  return request({
    url: prefixUrl + '/api/Audit/GetUsersByUnitId?unitId=' + id,
    method: 'get'
  })
}


// 省
export function apiGetProvinceList () {
  return request({
    url: prefixUrl + '/dropDownBox/getAllProvince',
    method: 'get'
  })
}
// 获取市
export function apiGetCityList (provinceId) {
  return request({
    url: prefixUrl + `/dropDownBox/getCityListOfProvinceId/${provinceId}`,
    method: 'get'
  })
}
// 获取区
export function apiGetCountyList (cityId) {
  return request({
    url: prefixUrl + `/dropDownBox/getCountyListOfCityId/${cityId}`,
    method: 'get'
  })
}
