import request from '../uitls/request'

// 接口网关前缀
const prefixUrl = "/visitsystem/visitmanage"

/**
 * 外访设备管理
 * @returns
 */

// table列表接口
export function apiGetDeviceList (data) {
    return request({
      url: prefixUrl + '/deviceManage/getDeviceList',
      method: 'post',
      data: data
    })
}
// 导出
export function apiDeviceExport (data) {
  return request({
    url: prefixUrl + '/deviceManage/exportData',
    // url: '/visitmanage/deviceManage/exportData',
    method: 'post',
    data: data
  })
}

// 删除
export function apiDeviceDel (data) {
    return request({
      url: prefixUrl + '/deviceManage/deleteDevice',
      // url: '/visitmanage/deviceManage/deleteDevice',
      method: 'post',
      data: data
    })
}

// 解除绑定
export function apiDeviceUnbind (data) {
    return request({
      url: prefixUrl + '/deviceManage/cancelBindDevice',
      method: 'post',
      data: data
    })
}

// 新增保存和编辑保存
export function apiDeviceSave (data) {
    return request({
      url: prefixUrl + '/deviceManage/saveDevice',
      method: 'post',
      data: data
    })
}
