import request from '../uitls/request'
// let prefixUrl = ""
let prefixUrl = "/visitsystem/visitmanage"

// 获取初始化数据
export function getInitData () {
  return request({
    url: prefixUrl+'/visitManage/getInitData',
    method: 'get',
  })
}

// 获取省份集合
export function getProvinceList () {
  return request({
    url: prefixUrl+'/dropDownBox/getAllProvince',
    method: 'get'
  })
}

// 根据省份Id获取城市
export function getCityListOfProvinceId (params) {
  return request({
    url: prefixUrl+'/dropDownBox/getCityListOfProvinceId/'+params.provinceId,
    method: 'get',
  })
}

// 根据城市Id获取区
export function getCountyListOfCityId (params) {
  return request({
    url: prefixUrl+'/dropDownBox/getCountyListOfCityId/'+params.cityId,
    method: 'get',
  })
}


// 外访管理查询列表接口
export function getVisitList (data,userId) {
    return request({
      url: prefixUrl+'/visitManage/getVisitList',
      method: 'post',
      data: data,
        
    })
}

// 获取经营单位
export function getUnitList (userId) {
  return request({
    url: prefixUrl+'/dropDownBox/getAllUint',
    method: 'get',
    
  })
}

// 通过经营单位获取责任/协助外访员
export function getUnitUserList (params) {
  return request({
    url: prefixUrl+'/visitManage/getUnitUserList',
    method: 'get',
    params: params
  })
}

// 获取责任外访员排程任务
export function getUserScheduleTaskList (data) {
  return request({
    url: prefixUrl+'/visitManage/queryUserScheduleTaskList',
    method: 'post',
    data: data
  })
}

// 确定排程/调整排程/任务排序
export function submitUserVisitSchedule (data,userId) {
  return request({
    url: prefixUrl+'/visitManage/submitUserVisitSchedule',
    method: 'post',
    data: data,
    
  })
}

// 取消排程
export function cancelVisit (data,userId) {
  return request({
    url: prefixUrl+'/visit/cancelVisit',
    method: 'post',
    data: data,
    
  })
}

// 修改区域
export function updateVisitArea (data,userId) {
  return request({
    url: prefixUrl+'/visitManage/updateVisitArea',
    method: 'post',
    data: data,
    headers :{
      userId:userId
    }
  })
}

// 驳回
export function rejectedVisit (data,userId) {
  return request({
    url: prefixUrl+'/visitManage/rejectedVisit',
    method: 'post',
    data: data,
    headers:{
      userId:userId
    }
  })
}

// 导出
export function exportVisitManageList (data,userId) {
  return request({
    url: prefixUrl+'/visitManage/exportData',
    method: 'post',
    data: data,
    headers:{
      userId:userId
    }
  })
}

//通话录音归集 查询 todo
export function getWaitMatchAudioList (data) {
  return request({
    url: prefixUrl+`/visitManage/getWaitMatchAudioList`,
    method: 'get',
    params:data,
  })
}

//通话录音归集 同步  todo
export function saveAudioToVisit (params,userId) {
  return request({
    url:  prefixUrl+`/visitManage/saveAudioToVisit?visitPhoneRecordId=${params.visitPhoneRecordId}&visitRecordId=${params.visitRecordId}`,
    method: 'get',
    headers:{
      userId:userId
    }
  })
}
