import request from '../uitls/request'
const url = '/customersystem/customerbasic';
// const url = ''

// 查询列表  简单
export function getCaseAccountPage (data) {
  return request({
    url: `${url}/accountresult/getCaseAccountPage`,
    method: 'post',
    data
  });
}

// 分组选项 简单
 export function getCaseGroupOptListBydefaultd (data) {
  return request({
    url:  `${url}/usergroupoptconfig/getCaseGroupOptListBydefaultd`,
    method: 'post',
    params: data,
  });
}

// 分组选项 新增或修改 
 export function saveOrUpdateGroupOpt (data) {
  return request({
    url:  `${url}/usergroupoptconfig/saveOrUpdateGroupOpt`,
    method: 'post',
    data,
  });
}


// 获取快捷查询名称集合
export function getCaseQuickNameList (data) {
  return request({
    url:  `${url}/accountresult/getCaseQuickNameList`,
    method: 'post',
    data
  });
}

// 快捷查询回显ById
export function getCaseQuickQueryById (id) {
  return request({
    url:  `${url}/accountresult/getCaseQuickQueryById?id=${id}`,
    method: 'post',
    contentType: 'application/x-www-form-urlencoded'
  });
}

// 保存快捷查询
export function saveCaseQuickQuery (data) {
  return request({
    url:  `${url}/accountresult/saveCaseQuickQuery`,
    method: 'post',
    data,
  });
}

// 查看分组案件明细
export function getGroupDetailByIds (data) {
  return request({
    url:  `${url}/accountresult/getGroupDetailByIds`,
    method: 'post',
    data
  });
}

// 查看案件汇总
 export function findAccountSum (data) {
  return request({
    url:  `${url}/accountresult/findAccountSum`,
    method: 'post',
    data,
  });
}

// 初始化查询字典
 export function queryCaseInit () {
  return request({
    url:  '${url}/accountresult/queryCaseInit',
    method: 'get'
  });
}

// 删除快捷查询
 export function deleteCaseQuickQueryById (id) {
  return request({
    url:  `${url}/accountresult/deleteCaseQuickQueryById?id=${id}`,
    method: 'post',
    contentType: 'application/x-www-form-urlencoded'
  });
}

// 结单
 export function updateAccountState (data) {
  return request({
    url:  `${url}/customerwork/accountList/updateAccountState`,
    method: 'post',
    data,
  });
}

// 下备注
 export function accountRemark (data) {
  return request({
    url:  `${url}/customerwork/accountList/accountRemark?accountIdList=${data.accountIdList}&isAppend=${data.isAppend}&remark=${data.remark}`,
    method: 'post',
    data,
    contentType: 'application/x-www-form-urlencoded'
  });
}

// 下评语
 export function saveAccountComments (data) {
  return request({
    url:  `${url}/customerwork/accountList/saveAccountComments`,
    method: 'post',
    data
  });
}

// 暂停催收
 export function pauseAccount (data) {
  return request({
    url:  `${url}/customerwork/accountList/pauseAccount`,
    method: 'post',
    data
  });
}

// 恢复催收
 export function restartAccount (data) {
  return request({
    url:  `${url}/customerwork/accountList/restartAccount`,
    method: 'post',
    data
  });
}

// 以下是下拉列表
/**
 * 根据组别获取调配库
 */
 export function GetAllotmentByGroupIds (data) {
  return request({
    url: `${url}/query/getAllotmentByGroupIds`,
    method: 'post',
    data
  })
}

/**
 * 根据用户查询案件状态
 */
 export function getAccountStateRange (data) {
  return request({
    url: `${url}/query/getAccountStateRange`,
    method: 'post',
    data
  })
}

/**
 * 获取所有案件标签数据集合
 */
 export function getAllCaseLabelList (data) {
  return request({
    url: `${url}/query/getAllCaseLabelList`,
    method: 'post',
    data
  })
}

/**
 * 获取经营单位列表
 */
 export function getOrganizationByOrganizationId () {
  return request({
    url: `${url}/query/getOrganizationByOrganizationId`,
    method: 'post',
  })
}

/**
 * 根据经营单位Id获取组别列表
 */
 export function getOrganizationByBusinessUnitId (data) {
  return request({
    url: `${url}/query/getOrganizationByBusinessUnitId`,
    method: 'post',
    data
  })
}

/**
 * 根据组别Id获取员工列表
 */
 export function getOrganizationUserByOrganizeId (data) {
  return request({
    url: `${url}/query/getOrganizationUserByOrganizeId`,
    method: 'post',
    data
  })
}

/**
 * 根据多个催收状态id获取状态进度
 */
 export function getStatusProgressByStatusIds (data) {
  return request({
    url: `${url}/query/getStatusProgressByStatusIds`,
    method: 'post',
    data
  })
}

/**
 * 获取所有催收状态
 */
 export function getTelStatus (data) {
  return request({
    url: `${url}/query/getTelStatus`,
    method: 'post',
    data
  })
}

/**
 * 获取用户信息
 */
 export function queryUserInfo (data) {
  return request({
    url: `${url}/query/queryUserInfo`,
    method: 'post',
    data
  })
}

/**
 * 获取内部考核类型列表
 */
 export function getInnerAssessList () {
  return request({
    url: `${url}/query/getInnerAssessList`,
    method: 'post',
  })
}

/**
 * 根据内部考核类型获取客户列表
 */
 export function getCustomerListByInnerAssessName (data) {
  return request({
    url: `${url}/query/getCustomerListByInnerAssessName`,
    method: 'post',
    data
  })
}

/**
 * 根据客户id批量查询产品类型
 */
 export function getProductTypeByCustomerIdList (data) {
  return request({
    url: `${url}/query/getProductTypeByCustomerIdList`,
    method: 'post',
    data
  })
}

/**
 * 根据客户id批量查询客户手次
 */
 export function getCustomerHandByCustomerIdList (data) {
  return request({
    url: `${url}/query/getCustomerHandByCustomerIdList`,
    method: 'post',
    data
  })
}

/**
 * 根据客户id查询客服区域
 */
 export function getCountryListByCityIds (data) {
  return request({
    url: `${url}/query/getCountryListByCityIds`,
    method: 'post',
    data
  })
}

/**
 * 根据客户id获取服务类型
 */
 export function getCustomerServiceByCustomerIds (data) {
  return request({
    url: `${url}/query/getCustomerServiceByCustomerIds`,
    method: 'post',
    data
  })
}

/**
 * 查询省份
 */
 export function getProvinceList () {
  return request({
    url: `${url}/query/getProvinceList`,
    method: 'post',
  })
}

/**
 * 根据省份查询城市
 */
 export function getCityListByProvinceIds (data) {
  return request({
    url: `${url}/query/getCityListByProvinceIds`,
    method: 'post',
    data,
  })
}

/**
 * 投诉风险 下拉
 */
 export function getComplaintRisk () {
  return request({
    url: `${url}/query/getComplaintRisk`,
    method: 'post'
  })
}

/**
 * 敏感人群 下拉
 */
 export function getSensitive () {
  return request({
    url: `${url}/query/getSensitive`,
    method: 'post'
  })
}

/**
 * 外访状态 下拉
 */
 export function getVisitStateType () {
  return request({
    url: `${url}/query/getVisitStateType`,
    method: 'post'
  })
}