import { renderNotFound, isInIcestark } from '@ice/stark-app';
import BasicLayout from '@/layouts/BasicLayout';
import StarkBasicLayout from '@/layouts/StarkBasicLayout';
import Home from '@/pages/Home';
import List from '@/pages/List';
import Detail from '@/pages/Detail';
import Supervision from '@/pages/Supervision'
import Device from '@/pages/Device'
import Trace from '@/pages/Trace'
import Audit from '@/pages/Audit'
import VisitManagement from '@/pages/VisitManagement';
import InsertNewInfo from '@/pages/InsertNewInfo';

export const constantRoutes = [
  {
    path: '/',
    // component: isInIcestark() ? StarkBasicLayout: BasicLayout,
    component: StarkBasicLayout,
    children: [
      { 
        path: '/', 
        component: Home,
        exact: true 
      },
      { 
        path: '/list',
        component: List
      },
      { 
        path: '/detail',
        component: Detail
      },
      { 
        path: '/supervision',
        component: Supervision
      },
      { 
        path: '/device',
        component: Device
      },
      { 
        path: '/trace',
        component: Trace
      },
      { 
        path: '/audit',
        component: Audit
      },
      {
        path: 'visitManagement',
        component: VisitManagement
      },
      {
        path: '/insertNewInfo',
        component: InsertNewInfo
      },
      {
        path: '*',
        component: () => renderNotFound(),
      },
    ],
  },
];

export const asyncRoutes = []