// import { date } from '@/utils/moment'
import { tracking as trackingApi } from "@/api/tracking";
import { version } from "../../../package.json";

function tracking(el, bind, vnode) {
  const { value } = bind;
  const { matched, fullPath, meta } = vnode.context.$route;
  const names = {
    sysName: "",
    modName: "",
    pageName: "",
  };
  el.addEventListener("click", async () => {
    // const initTime = date()
    // const nameKeys = Object.keys(names);
    // matched.forEach((route, index) => {
    //   const name = nameKeys[index];
    //   names[name] = route.name || '';
    // });
    names.sysName = meta.sysName || "";
    names.modName = meta.modName || "";
    names.pageName = meta.pageName || "";
    const clientWidth = document.body.clientWidth;
    const clientHeight = document.body.clientHeight;
    const browser = getBrowserInfo().toString().split("/")[0];
    const browserVersion = getBrowserInfo().toString().split("/")[1];
    try {
      const data = {
        appVersion: version,
        platform: "website",
        appOs: "js",
        resolution: `${clientWidth} * ${clientHeight}`,
        browVersion: `${browser} ${browserVersion}`,
        pageUrl: fullPath,
        pageRef: "ceshi",
        sysName: names.sysName || "",
        modName: names.modName || "",
        pageName: names.pageName || "",
        actionName: value || "",
        pageTime: "1000",
        actionType: "button",
        source: process.env.VUE_APP_ENV
      };
      const result = await trackingApi(data);
      if (!result.success) {
        console.log(result.msg);
      }
    } catch (error) {
      console.log(error);
    }
  });
}

// 获取浏览器信息
function getBrowserInfo() {
  const agent = navigator.userAgent.toLowerCase();
  const regStrIe = /msie [\d.]+;/gi;
  const regStrFf = /firefox\/[\d.]+/gi;
  const regStrChrome = /chrome\/[\d.]+/gi;
  const regStrSaf = /safari\/[\d.]+/gi;
  // IE
  if (agent.indexOf("msie") > 0) {
    return agent.match(regStrIe);
  }
  // firefox
  if (agent.indexOf("firefox") > 0) {
    return agent.match(regStrFf);
  }
  // Chrome
  if (agent.indexOf("chrome") > 0) {
    return agent.match(regStrChrome);
  }
  // Safari
  if (agent.indexOf("safari") > 0 && agent.indexOf("chrome") < 0) {
    return agent.match(regStrSaf);
  }
}

export default {
  inserted(el, bind, vnode) {
    tracking(el, bind, vnode);
  },
};
