import "./public-path";
import Vue from 'vue';
import VueRouter from "vue-router";
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import './styles/global.scss';
import routes from "./router";
import store from "./store";
import App from './App.vue';
import permission from "./directive/permission";
import "./assets/font";

import SelectTree from '@/components/SelectTree'
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer' // 预览图片组件
import CbfUI from '@chint/cbf-ui';
// import tracking from './directives/tracking'

import '@chint/cbf-ui/dist/cbf-ui.css';
// import permission from "./directive/permission";
import "./assets/font";
import "@/assets/styles/common.scss";
import "@/assets/styles/common.css";
// import "@/assets/styles/marginDefinition.css";
import "@/assets/styles/btnStyle.scss";
// import './directives/input';
// import "./directives/banreclick"
import tracking from '@/directives/tracking'

Vue.use(CbfUI);

Vue.use(Viewer)


Vue.use(ElementUI, { zIndex: 1000 });

Vue.config.productionTip = false;

Vue.component('selectTree', SelectTree)

Vue.config.productionTip = false;

let router = null;
let instance = null;
function render(props = {}) {
  const { container } = props;
  router = new VueRouter({
    base: window.__POWERED_BY_QIANKUN__ ? "/visit-system/" : "/",
    mode: "history",
    routes,
  });
  instance = new Vue({
    router,
    store,
    render: (h) => h(App),
  }).$mount(container ? container.querySelector("#app") : "#app");
}

// 独立运行时
if (!window.__POWERED_BY_QIANKUN__) {
  render();
}

export async function bootstrap(props) {
  console.log(props);
  Vue.prototype.parentStore = props;
  console.log("[vue] vue app bootstraped");
}
export async function mount(props) {
  Vue.prototype.parentProps = props;
  console.log("[vue] props from main framework", props);
  props.onGlobalStateChange((state) => {
    store.dispatch("globalState/setGlobalState", state);
  }, true);
  Vue.use(permission);
  Vue.use(tracking)
  render(props);
}
export async function unmount() {
  instance.$destroy();
  instance.$el.innerHTML = "";
  instance = null;
  router = null;
}
