import Vue from "vue";
import VueRouter from "vue-router";
import Home from '@/pages/Home';
import Supervision from '@/pages/Supervision'
import Device from '@/pages/Device'
import Trace from '@/pages/Trace'
import Audit from '@/pages/Audit'
import VisitManagement from '@/pages/VisitManagement';
import CaseDetails from '@/pages/CaseDetails/index.vue';
Vue.use(VueRouter);

const routes = [
  {
    path: "",
    name: "VisitSystem",
    component: Home,
  },
  {
    path: '/visit-management/supervision',
    name: "Supervision",
    component: Supervision,
    meta: { 
      title: "外访监管",
      icon: "el-icon-edit-outline",
      sysName: "VisitSystem",
      modName: "VisitManagement",
      pageName: "Supervision",
  },
  },
  {
    path: '/visit-management/device',
    name: "Device",
    component: Device,
    meta: { 
      title: "外访设备管理", 
      icon: "el-icon-edit-outline",
      sysName: "VisitSystem",
      modName: "VisitManagement",
      pageName: "Device",
    },
  },
  {
    path: '/visit-management/trace',
    name: "Trace",
    component: Trace,
    meta: { 
      title: "外访轨迹",
      icon: "el-icon-edit-outline",
      sysName: "VisitSystem",
      modName: "VisitManagement",
      pageName: "Trace",
    },
  },
  {
    path: '/visit-management/visit-management',
    name: "VisitManagementMenu",
    component: VisitManagement,
    meta: { 
      title: "外访管理",
      icon: "el-icon-edit-outline",
      sysName: "VisitSystem",
      modName: "VisitManagement",
      pageName: "VisitManagementMenu",
    },
  },
  {
    path: '/visit-management/case-details/:id',
    name: "CaseDetails",
    component: CaseDetails,
    meta: { 
      title: "案件详情", 
      icon: "el-icon-edit-outline",
      sysName: "VisitSystem",
      modName: "VisitManagement",
      pageName: "CaseDetails",
    },
  },
  // {
  //   path: 'visit-management/audit',
  //   name: "Audit",
  //   component: Audit,
  //   meta: { title: "外访稽核", icon: "el-icon-edit-outline" },
  // }
]

export default routes;
