/**
 * 查询条件重置
 * @param {*} data 需要重置的对象
 * @param {*} array  对象中不需要清空，保留现有值的key组成的数组，::["date","name"]
 * @param {*} obj  对象中不需要清空，需要保留原有值的对象,原有的值自己传
 * @returns 
 */
 export const Reset = (data, array = [],obj={}) => {
  if (array.length) {
    for (var i in data) {
      if(!array.some(item=>{ return item == i})){
        data[i] = ""
      } 
    }
  } else {
    for (var i in data) {
      data[i] = ""
    }
  }
  data = {...data,...obj}
  return data;
}
/**
 * 给A里面与B相同属性的key赋值
 * @param {*} objA  处理结果对象
 * @param {*} objB  
 */
export const objAssign = (objA, objB)=> {
  Object.keys(objA).forEach(key => {
     return objA[key] = objB[key]?objB[key]:objA[key];
  })
  return objA
}

/**
 * 
 * @param {*} fun  string  vue实列中（methods里）定义的事件名
 *    为啥要用名字不直接用函数
 *   （因为debounce函数的this指向的不是vue，vue中methods里调用的debounce函数其实是return function，它的this才指的vue，所以在vue调用的时候传methods里的函数回报错）
 * @param {*} wait number  需要间隔的时间
 * @returns 
 */
export function debounce(fun,wait){
    let timeout = null;
   return function(){
     if(timeout){
       clearTimeout(timeout)//现在clearTimeout清除定时器， 返回的一直是setTimeout生成的id,不等于null,所以第一次设置了定时器后就一直走不到else代码段
       timeout = null//干脆直接给它设置个null
     }else{
       timeout = setTimeout(()=>{
         console.log(arguments)
         this[fun].apply(this,[...arguments])
       },wait)
     }   
   }    
}
/**
 * 获取当前时间到指定的天数  fun_date(2)/fun_date(-2)
 * @param {*} aa 天数
 * @returns ["2022-10-09","2022-10-11"]
 */
 export function fun_date(aa){  
  var date1 = new Date();
  var time1=date1.getFullYear()+"-"+((date1.getMonth()+1)<10?"0"+(date1.getMonth()+1):(date1.getMonth()+1))+"-"+(date1.getDate()<10?"0"+date1.getDate():date1.getDate());//time1表示当前时间  
  var date2 = new Date(date1);  
  date2.setDate(date1.getDate()+aa);  
  var time2 = date2.getFullYear()+"-"+((date2.getMonth()+1)<10?"0"+(date2.getMonth()+1):(date2.getMonth()+1))+"-"+(date2.getDate()<10?"0"+date2.getDate():date2.getDate());
  return [time1,time2] 
} 

