import moment from 'moment'

export const date = date => {
  return moment(date).format('YYYY-MM-DD')
}

export const endOfDate = date => {
  return moment(date).endOf('d').format('YYYY-MM-DD')
}

export const currentDay = date => {
  return moment(date).format('YYYY-MM-DD')
}

export const last7Day = date => {
  return moment(date).add(-7, 'days').format('YYYY-MM-DD 00:00:00')
}

export const filterMonth = date => {
  return moment(date).format('YYYY-MM')
}

export const filterHourMinute = date => {
  return moment(date).format('HH:mm')
}

// 截取音频的名字
export const interceptAudioName = url => {
  var intPos = url.indexOf("?")
  var str2 = url.substr(intPos+1)
  var intPos2 = str2.lastIndexOf('=')
  var str3 = str2.substr(intPos2+1)
  return str3
}

// 时间差
export const GetDateDiff = (startTime, endTime, diffType) => {
  //将xxxx-xx-xx的时间格式，转换为 xxxx/xx/xx的格式 
  startTime = startTime.replace(/-/g, "/");
  endTime = endTime.replace(/-/g, "/");

  //将计算间隔类性字符转换为小写
  diffType = diffType.toLowerCase();
  var sTime = new Date(startTime);      //开始时间
  var eTime = new Date(endTime);  //结束时间
  //作为除数的数字
  var divNum = 1;
  switch (diffType) {
      case "second":
          divNum = 1000;
          break;
      case "minute":
          divNum = 1000 * 60;
          break;
      case "hour":
          divNum = 1000 * 3600;
          break;
      case "day":
          divNum = 1000 * 3600 * 24;
          break;
      default:
          break;
  }
  return parseInt((eTime.getTime() - sTime.getTime()) / parseInt(divNum));
}

export function deepClone (source) {
  if (!source && typeof source !== 'object') {
    throw new Error('error arguments', 'deepClone')
  }
  const targetObj = source.constructor === Array ? [] : {}
  Object.keys(source).forEach(keys => {
    if (source[keys] && typeof source[keys] === 'object') {
      targetObj[keys] = deepClone(source[keys])
    } else {
      targetObj[keys] = source[keys]
    }
  })
  return targetObj
}

// 判断两个时间段不能超过3个月
export function checkIsBetweenThreeMonth (startTime, endTime) {
  let afterThreeMonth = moment(startTime).add(3, 'months').format('YYYY-MM-DD');
  console.log(startTime, afterThreeMonth, endTime)
  return moment(endTime).isBetween(startTime, afterThreeMonth, null, '[]')
}
// 判断两个时间段不能超过6个月
export function checkIsBetweenSixMonth (startTime, endTime) {
  let afterSixMonth = moment(startTime).add(6, 'months').format('YYYY-MM-DD');
  console.log(startTime, afterSixMonth, endTime)
  return moment(endTime).isBetween(startTime, afterSixMonth, null, '[]')
}

// 处理数组 （合并数组对象中key相同的数据）
export function formatArrMerge (arr,key) {
  let dataInfo = {};
  arr.forEach((item, index) => {
    let value = item[key];
    if (!dataInfo[value]) {
      dataInfo[value] = {
        value,			
        child: []
      }
    }
    dataInfo[value].child.push(item);
  });
  let newArr = Object.values(dataInfo)
  return newArr
}

export function filterArrTree (list,ParentNodeId = 0) {
  let newArr = list.filter(item => item.ParentNodeId === ParentNodeId)
  newArr.forEach(item => {
    item.children = filterArrTree(list,ParentNodeId = item.Id)
  })
  return newArr
}

// 是否是纯数字
export function isNumber(val) {
  var regPos = /^\d+(\.\d+)?$/; //非负浮点数
  // var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
  if (regPos.test(val)) {
      return true;
  } else {
      return false;
  }

}
