import moment from 'moment'

export const date = date => {
  return moment(date).format('YYYY-MM-DD HH:mm:ss')
}

export const endOfDate = date => {
  return moment(date).endOf('d').format('YYYY-MM-DD HH:mm:ss')
}

export const currentDay = date => {
  return moment(date).format('YYYY-MM-DD')
}

export const last7Day = date => {
  return moment(date).add(-7, 'days').format('YYYY-MM-DD 00:00:00')
}

export const filterMonth = date => {
  return moment(date).format('YYYY-MM')
}

// 通话时长
export function durationFormat (value, formatString = 'mm:ss') {
  return moment.utc(value).format(formatString)
}

export function convertTimestamp (value) {
  return moment.unix(value)
}
