const { name } = require("./package");
const port = process.env.port || process.env.npm_config_port || 9534;
module.exports = {
  // 基础路径
  // publicPath: "/",
  publicPath: process.env.VUE_APP_ENV === "development" ? "/" : "/subapp/visit-system",
  devServer: {
    headers: {
      "Access-Control-Allow-Origin": "*",
    },
  },
  configureWebpack: {
    output: {
      library: `${name}-[name]`,
      libraryTarget: "umd", // 把微应用打包成 umd 库格式
      jsonpFunction: `webpackJsonp_${name}`,
    },
  },
  lintOnSave: false,
  devServer: {
    // 端口号
    port: port,
    // 配置自动启动浏览器
    open: true,
    // 让浏览器 overlay 同时显示警告和错误
    overlay: {
      warnings: false,
      errors: true,
    },
    headers: {
      "Access-Control-Allow-Origin": "*",
    },
    proxy: {
      "/visit-dev-api": {
        // target: "http://10.255.107.13",
        // target: "http://10.255.110.147:9190",
        // target: "http://10.255.105.133",
        target: "http://10.255.107.12",
        pathRewrite: { "^/visit-dev-api": "" },
      },
      '/user-dev-api': {
        target: 'http://dev-basesystem.icbf.plus',
        pathRewrite: { '^/user-dev-api': '' }
      }
    },
  },
};